package com.rjconsultores.ventaboletos.web.utilerias.menu.item.esquemaoperacional;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.constantes.ConstantesFuncionSistema;
import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;

public class ItemMenuCadastroOperadorPorDispositivoEmbarcada extends DefaultItemMenuSistema {
	
	public ItemMenuCadastroOperadorPorDispositivoEmbarcada() {
		super("indexController.mniConfVendaEmbarcada.cadastroDispositivoOperador.label");
	}

	@Override
	public String getClaveMenu() {
		return ConstantesFuncionSistema.CLAVE_OPERADORES_DISPOSITIVO_VENDA_EMBARCADA;
	}

	@Override
	public void ejecutar() { 
		PantallaUtileria.openWindow("/gui/esquema_operacional/busquedaDispositivoOperadorEmbarcada.zul", 
				Labels.getLabel("busquedaDispositvoOperadorEmbarcada.titulo"), getArgs() ,desktop);
	}

}
